/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spi.builder.component;

import java.net.URI;

import org.fabric3.spi.builder.WiringException;

/**
 * Thrown when an error is encountered attaching a wire
 *
 * @version $Rev: 5248 $ $Date: 2008-08-20 17:33:22 -0700 (Wed, 20 Aug 2008) $
 */
public class WireAttachException extends WiringException {
    private static final long serialVersionUID = 4976504310808006829L;

    public WireAttachException(String message, URI sourceUri, URI targetUri, Throwable cause) {
        super(message, sourceUri, targetUri, cause);
    }
}
